MiniMax M2.7

MiniMax M2.7
MiniMax · Text Generation
POST /v1/chat/completions

MiniMax M2.7 is a general-purpose reasoning chat model with interleaved thinking, function calling, and prompt caching.

At a glance

FieldValue
Model idminimax-m2-7
Model release date2026-03-18
Input modalitiesText
Output modalitiesText
Context window200K
Weight precision-
Max output tokens32,768
RegionSingapore
Featuresreasoning, function_calling, cache
Native inferenceNo
NewYes
Structured outputJSON Mode
Supported endpointsPOST /v1/chat/completions, POST /v1/responses, POST /v1/messages, POST /v1beta/models/minimax-m2-7:generateContent

Pricing

ChargeSpecRate
Inputper 1M prompt tokens$0.15 (was $0.30)
Outputper 1M generated tokens$0.60 (was $1.20)
Implicit cache readper 1M cached input tokens$0.03 (was $0.06)
Web searchper request when enabled$0.013

Example request

$curl https://api.empiriolabs.ai/v1/chat/completions \
> -H 'Authorization: Bearer $EMPIRIOLABS_API_KEY' \
> -H 'Content-Type: application/json' \
> -d '{"model": "minimax-m2-7", "messages": [{"role":"user","content":"Hello"}]}'

Parameters

ParameterTypeRequiredDefaultDescription
temperaturenumberno1Sampling temperature. 0 = deterministic, 2 = maximum randomness. · Range: 0 – 2
top_pnumberno0.95Nucleus sampling probability mass. Lower = more focused. · Range: 0 – 1
max_tokensnumberno4096Maximum tokens in the response. · Range: 1 – 131072
stopstringno-Up to 4 strings where the model will stop generating further tokens.
toolsarrayno-OpenAI-style function-calling tool definitions. Each entry has name, description, parameters.
tool_choicestringno-auto | none | required | {type:function, function:{name:”…”}}. Controls when the model must call a tool.
response_formatenumno-Return the output as a valid JSON object (JSON mode). Describe the fields you want in your prompt.
web_search_linkupbooleannofalseOptional web search powered by Linkup. When enabled, recent web sources are retrieved using your latest user message as the query and provided to the model as additional context. Adds $0.013 per call when invoked on top of the model’s normal token cost. Disabled by default.
disable_formattingbooleannofalseWhen enabled, the gateway will not append the “Sources” footer to assistant responses that used Linkup web search. Useful when the model output is piped to another system that expects no decoration.

Notes

Supports interleaved thinking, function calling, and implicit prompt cache reads. Thinking is always on and billed as output tokens.


Machine-readable schema: GET https://api.empiriolabs.ai/v1/models/minimax-m2-7.